: Class Select

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.HTML
Class Select

    java.lang.Object
      |
      +--com.mortbay.HTML.Element
            |
            +--com.mortbay.HTML.Composite
                  |
                  +--com.mortbay.HTML.Block
                        |
                        +--com.mortbay.HTML.Select

public class Select
extends Block

HTML select Block

See Also:
  `Block`

Fields inherited from class com.mortbay.HTML.Block
`Bold, Center, Div, Italic, Left, Listing, Plain, Pre, Quote, Right, Span, Xmp`

Fields inherited from class com.mortbay.HTML.Composite
`elements, nest`

Fields inherited from class com.mortbay.HTML.Element
`ALIGN, attributeMap, BGCOLOR, BOTTOM, CENTER, CLASS, COLOR, HEIGHT, ID, LEFT, MIDDLE, noAttributes, RIGHT, SIZE, STYLE, TOP, VALIGN, WIDTH`

Constructor Summary
`Select(java.lang.String name, boolean multiple)`
`Select(java.lang.String name, boolean multiple, java.lang.String[] options)`

Method Summary
`Select` | `add(java.util.Enumeration e)`
`Composite` | `add(java.lang.Object o)` Add option and specify if selected
`Select` | `add(java.lang.Object o, boolean selected)` Add option and specify if selected
`Select` | `add(java.lang.Object o, boolean selected, java.lang.String value)` Add an option
`Select` | `add(java.lang.String[] arr, int selected)` Build a select from the given array of Strings.
`Select` | `add(java.lang.String[] arr, java.lang.String selected)` Build a select from the given array of Strings.
`static int` | `bitsetFormResult(java.lang.String result)` Utility function for multi-selectors
`Select` | `setSize(int size)` Set the number of options to display at once

Methods inherited from class com.mortbay.HTML.Block
`write`

Methods inherited from class com.mortbay.HTML.Composite
`contents, nest, replace, reset, setNest, size, unnest`

Methods inherited from class com.mortbay.HTML.Element
`attribute, attribute, attribute, attributes, attributes, bgColor, bottom, center, color, cssClass, cssID, height, height, height, left, middle, right, setAttributesFrom, size, size, style, top, toString, width, width, width, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Select

    public Select(java.lang.String name,
                  boolean multiple)

  Parameters:
    `name` - Name of the form element
    `multiple` - Whether multiple selections can be made

### Select

    public Select(java.lang.String name,
                  boolean multiple,
                  java.lang.String[] options)

  Parameters:
    `name` - Name of the form element
    `multiple` - Whether multiple selections can be made

Method Detail

### setSize

    public Select setSize(int size)

  Set the number of options to display at once

### add

    public Select add(java.util.Enumeration e)

### add

    public Composite add(java.lang.Object o)

  Add option and specify if selected
  Overrides:
    add in class Composite
  Tags copied from class: Composite
  Parameters:
    `o` - The Object to add. If it is a String or Element, it is added directly, otherwise toString() is called.
  Returns:
    This Composite (for chained commands)

### add

    public Select add(java.lang.Object o,
                      boolean selected)

  Add option and specify if selected

### add

    public Select add(java.lang.Object o,
                      boolean selected,
                      java.lang.String value)

  Add an option
  Parameters:
    `o` - The name of the option (displayed in the form)
    `selected` - Whether the option is selected
    `value` - The value of this option (returned in the form content)

### add

    public Select add(java.lang.String[] arr,
                      int selected)

  Build a select from the given array of Strings. The values of the select are the indexes into the array of the strings, which are used as the labels on the selector.
  Parameters:
    `arr` - The array of strings for labels
    `selected` - The index of the selected label, -1 for default

### add

    public Select add(java.lang.String[] arr,
                      java.lang.String selected)

  Build a select from the given array of Strings. The values of the select are the indexes into the array of the strings, which are used as the labels on the selector.
  Parameters:
    `arr` - The array of strings for labels
    `index` - The index of the selected label, -1 for default

### bitsetFormResult

    public static int bitsetFormResult(java.lang.String result)

  Utility function for multi-selectors

  This function takes the result returned by a multi-select input and produces an integer bit-set result of the selections made. It assumes the values of the multi-select are all different powers of 2.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD